# -*- coding: UTF-8 -*-
# Copyright 2013-2016 John Red.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import xbmc  # @UnresolvedImport

class Logger:
    def __init__(self):
        pass
    def log(self, message):
        xbmc.log("[%s]: %s" % (self.__class__.__name__, message))
        try:
            self._logFile(message)
        except Exception:
            pass
        
    def _logFile(self, message):
        file="/tmp/seasondream.log"
        with open(file, "a") as myfile:
            myfile.write("[%s]: %s" % (self.__class__.__name__, message)+"\r\n")

        